#  Given multiple LC-MS/MS DIA files, in which each file contains
# several scan functions, this script does:

# 1) Separates by collision energy into multiple files, 
# 2) Process MS files and annotate by using metabolite mass library
# 3) Load in the R envinronment the annotated MS files in peak table format

CE=30
Root=12

## set files pathway
setwd("C:/")
##


databasepos<- read_excel("AIF_qTOF_pos.xlsm")
folders <- dir()[grepl("12", dir())]

for (f in folders){
  Parent<-getwd()
  setwd(paste(Parent,sep="/",f))
  files <- dir()
  files <- files[grep(".mzXML", files)]
  outputs <- unlist(lapply(sapply(files, strsplit, ".mzXML"), "[[", 1))
  outputs <- paste(outputs, "_sep", sep="")
  mapply(CE.isolation, files, outputs)
  fullms<-dir()[grepl("fullMS", dir())]
  fileMS2<-dir()[grepl(CE, dir())]
  
  aif5<-AIF(fullms,fileMS2,databasepos,CE=CE, 
            ion_mode = "positive",mzw = 0.005,rtw = 7)
            
  setwd("..")
}

## set files pathway
setwd("C:/")
##

folders <- dir()[grepl("12", dir())]

for (f in folders){
  Parent<-getwd()
  setwd(paste(Parent,sep="/",f))
  files <- dir()
  files <- files[grep(".csv", files)]
  
  assign(f,read.csv(files))
  
  setwd("..")
  
}

## set files pathway
setwd("C:/")
##
for (f in folders){

  get("12",environment())
}




